Name:           python-poppler-qt4
Version:        0.24.0
Release:        %mkrel 8
Summary:        Python bindings for the Poppler PDF rendering library
Group:          Development/Python
License:        LGPLv2+
URL:            https://pypi.python.org/pypi/python-poppler-qt4/
Source0:        https://pypi.python.org/packages/source/p/python-poppler-qt4/%{name}-%{version}.tar.gz
Patch0:         python-poppler-qt4-0.16.2-link.patch
BuildRequires:  pkgconfig(poppler-qt4) >= 0.12.0

BuildRequires:  pkgconfig(python2)
BuildRequires:  python-qt4-devel
BuildRequires:  python-sip >= 4.9.1

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt4-devel
BuildRequires:  python3-sip-devel >= 4.9.1

Requires:       sip-api(%{_sip_api_major}) >= %{_sip_api}

%description
Python bindings for the Poppler PDF rendering library. It is needed to
run programs written in Python and using Poppler set.

%package -n python3-poppler-qt4
Summary:        Python 3 bindings for the Poppler PDF rendering library
Group:          Development/Python
Requires:       python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n python3-poppler-qt4
Python 3 bindings for the Poppler PDF rendering library. It is needed to
run programs written in Python 3 and using Poppler set.

%prep
%setup -q

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc ChangeLog LICENSE TODO README.rst
%{python2_sitearch}/popplerqt4.so
%{python2_sitearch}/python_poppler_qt4-%{version}-py%{python2_version}.egg-info

%files -n python3-poppler-qt4
%doc ChangeLog LICENSE TODO README.rst
%{python3_sitearch}/popplerqt4.*.so
%{python3_sitearch}/python_poppler_qt4-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Feb 27 2017 daviddavid <daviddavid> 0.24.0-8.mga6
+ Revision: 1088125
- use new python macros

* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.24.0-7.mga6
+ Revision: 1070640
- rebuild for poppler

* Mon Jun 27 2016 akien <akien> 0.24.0-6.mga6
+ Revision: 1037809
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 0.24.0-5.mga6
+ Revision: 1037517
- Fix python(2)-sip Requires in python3 package

* Sat Jun 25 2016 akien <akien> 0.24.0-4.mga6
+ Revision: 1037513
- Rebuild for python-sip 4.18

* Tue Feb 16 2016 umeabot <umeabot> 0.24.0-3.mga6
+ Revision: 962266
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.24.0-2.mga6
+ Revision: 888950
- rebuild for python 3.5

* Thu Aug 20 2015 fwang <fwang> 0.24.0-1.mga6
+ Revision: 866792
- add python3 sub package
- use root and prefix
- add python path
- br python3-sip-devel
- 0.24.0

* Wed Oct 15 2014 umeabot <umeabot> 0.16.3-9.mga5
+ Revision: 742161
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.16.3-8.mga5
+ Revision: 729327
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.16.3-7.mga5
+ Revision: 688222
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Wed Mar 19 2014 fwang <fwang> 0.16.3-5.mga5
+ Revision: 605527
- rebuild for new sip

* Tue Oct 22 2013 umeabot <umeabot> 0.16.3-4.mga4
+ Revision: 544018
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.16.3-3.mga4
+ Revision: 499124
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jun 18 2013 fwang <fwang> 0.16.3-2.mga4
+ Revision: 444463
- rebuild for new python-sip

* Sun May 26 2013 fwang <fwang> 0.16.3-1.mga4
+ Revision: 427864
- drop merged patch
- new version 0.16.3

* Sun Jan 13 2013 umeabot <umeabot> 0.16.2-4.mga3
+ Revision: 379282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 fwang <fwang> 0.16.2-3.mga3
+ Revision: 305778
- update rpm group
- requires correct python-sip

* Wed Jun 13 2012 fwang <fwang> 0.16.2-2.mga3
+ Revision: 260220
- fix build with latest poppler
- rebuild for new poppler

* Tue Dec 27 2011 fwang <fwang> 0.16.2-1.mga2
+ Revision: 188104
- imported package python-poppler-qt4

